package com.memorynotfound.hibernate;

import org.hibernate.Session;
import org.hibernate.Transaction;

public class App {

    public static void main (String...args){

        Session session = HibernateUtil.getSession();
        Transaction tx = session.beginTransaction();

        Book book = new Book();
        book.setAuthor("Memorynotfound");
        book.setTitle("Hibernate C3PO Connection Pooling Configuration");
        book.setIsbnCode("9232537892");
        book.setPrice(24.95);
        book.setYear(2012);

        session.save(book);
        tx.commit();

        session.clear();
        session.close();

        HibernateUtil.shutdown();
    }
}
